Package org.spongepowered.asm.util

## Interface ObfuscationUtil.IClassRemapper

Enclosing class:
  ObfuscationUtil

    public static interface ObfuscationUtil.IClassRemapper

Interface for remapper proxies

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `map​(java.lang.String typeName)` Map type name to the new name.
`java.lang.String` `unmap​(java.lang.String typeName)` Convert a mapped type name back to the original obfuscated name

### Method Detail

#### map

    java.lang.String map​(java.lang.String typeName)

Map type name to the new name. Subclasses can override.

Parameters:
  `typeName` - Class name to convert
Returns:
  new name for the class

#### unmap

    java.lang.String unmap​(java.lang.String typeName)

Convert a mapped type name back to the original obfuscated name

Parameters:
  `typeName` - Class name to convert
Returns:
  old name for the class